#
# spec file for package lua-luaterm
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define trans() ( echo %{1} | sed -e "s#_#\\.#g" )
%define vers_f() %(%trans)

%define mod_name lua-term

Name:           lua-luaterm
Version:        0.07
Release:        1.2
License:        MIT
Summary:        Terminal operations for Lua
Url:            http://github.com/hoelzro/lua-term
Group:          Development/Libraries/Other
Source:         https://github.com/hoelzro/lua-term/archive/%{version}.tar.gz#$/%{name}-%{version}.tar.gz
BuildRequires:  lua-devel >= %{lua_version}
Requires:	lua  >= %{lua_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides terminal operations for Lua

%prep
%setup -q -n %{mod_name}-%{version}

%build
export OPTFLAGS="%{optflags} -fPIC"
make %{_smp_mflags}

%install
%make_install LUA_LIBDIR='$(DESTDIR)/%{lua_archdir}/term/' LUA_SHARE='$(DESTDIR)/%{lua_noarchdir}/term/'

%files
%defattr(-,root,root,-)
%dir %{lua_archdir}/term
%{lua_archdir}/term/core.so*
%dir %{lua_noarchdir}/term
%{lua_noarchdir}/term

%changelog
* Wed Jan  4 2017 eich@suse.com
- Replaced 'makeinstall' by 'make_install'.
* Mon Oct 17 2016 eich@suse.com
- Setting 'download_files' service to mode='localonly'
  and adding source tarball. (Required for Factory).
* Wed Oct 12 2016 eich@suse.com
- Initial import of lua-term version 0.07
